Loading...
Searching...
No Matches
itk::TransformixInputPointFileReader< TOutputMesh > Class Template Reference

`#include <itkTransformixInputPointFileReader.h>`

## Detailed Description

template<class TOutputMesh>
class itk::TransformixInputPointFileReader< TOutputMesh >

A reader that understands transformix input point files.

A reader that understands transformix input point files.

The first word in the text file indicates whether the input points are given as an integer image index or as a point (world coordinates). If the file does not start with "index" or "point" it is assumed that the points are entered as indices, for compatibility with elastix versions < 3.503.

The second word in the text file represents the number of points that should be read.

Definition at line 46 of file itkTransformixInputPointFileReader.h.

Inheritance diagram for itk::TransformixInputPointFileReader< TOutputMesh >:
[legend]

## Public Types

using | ConstPointer = SmartPointer<const Self>
using | Pointer = SmartPointer<Self>
using | Self = TransformixInputPointFileReader
using | Superclass = MeshFileReaderBase<TOutputMesh>
Public Types inherited from itk::MeshFileReaderBase< TOutputMesh >
using | ConstPointer = SmartPointer<const Self>
using | Pointer = SmartPointer<Self>
using | Self = MeshFileReaderBase
using | Superclass = MeshSource<TOutputMesh>

## Public Member Functions

void | GenerateOutputInformation () override
virtual const char * | GetClassName () const
virtual unsigned long | GetNumberOfPoints () const
virtual bool | GetPointsAreIndices () const
| ITK_DISALLOW_COPY_AND_MOVE (TransformixInputPointFileReader)
Public Member Functions inherited from itk::MeshFileReaderBase< TOutputMesh >
void | EnlargeOutputRequestedRegion (DataObject *output) override
void | GenerateOutputInformation () override
virtual const char * | GetFileName () const
| ITK_DISALLOW_COPY_AND_MOVE (MeshFileReaderBase)
virtual void | SetFileName (const char *_arg)

## Static Public Member Functions

static Pointer | New ()
Static Public Member Functions inherited from itk::MeshFileReaderBase< TOutputMesh >
static Pointer | New ()

## Protected Member Functions

void | GenerateData () override
| TransformixInputPointFileReader ()=default
| ~TransformixInputPointFileReader () override=default
Protected Member Functions inherited from itk::MeshFileReaderBase< TOutputMesh >
| MeshFileReaderBase ()=default
virtual void | TestFileExistanceAndReadability ()
| ~MeshFileReaderBase () override=default

## Private Attributes

unsigned long | m_NumberOfPoints { 0 }
bool | m_PointsAreIndices { false }
std::ifstream | m_Reader {}

## Additional Inherited Members

Protected Attributes inherited from itk::MeshFileReaderBase< TOutputMesh >
std::string | m_FileName {}

## Member Typedef Documentation

## ConstPointer

template<class TOutputMesh>

using itk::TransformixInputPointFileReader< TOutputMesh >::ConstPointer = SmartPointer<const Self>

Definition at line 55 of file itkTransformixInputPointFileReader.h.

## Pointer

template<class TOutputMesh>

using itk::TransformixInputPointFileReader< TOutputMesh >::Pointer = SmartPointer<Self>

Definition at line 54 of file itkTransformixInputPointFileReader.h.

## Self

template<class TOutputMesh>

using itk::TransformixInputPointFileReader< TOutputMesh >::Self = TransformixInputPointFileReader

Standard class typedefs.

Definition at line 52 of file itkTransformixInputPointFileReader.h.

## Superclass

template<class TOutputMesh>

using itk::TransformixInputPointFileReader< TOutputMesh >::Superclass = MeshFileReaderBase<TOutputMesh>

Definition at line 53 of file itkTransformixInputPointFileReader.h.

## Constructor & Destructor Documentation

## TransformixInputPointFileReader()

template<class TOutputMesh>

itk::TransformixInputPointFileReader< TOutputMesh >::TransformixInputPointFileReader | ( |  | ) |

protected default

## ~TransformixInputPointFileReader()

template<class TOutputMesh>

itk::TransformixInputPointFileReader< TOutputMesh >::~TransformixInputPointFileReader | ( |  | ) |

override protected default

## Member Function Documentation

## GenerateData()

template<class TOutputMesh>

void itk::TransformixInputPointFileReader< TOutputMesh >::GenerateData | ( |  | ) |

override protected

Fill the point container of the output.

## GenerateOutputInformation()

template<class TOutputMesh>

void itk::TransformixInputPointFileReader< TOutputMesh >::GenerateOutputInformation | ( |  | ) |

override

Prepare the allocation of the output mesh during the first back propagation of the pipeline. Updates the PointsAreIndices and NumberOfPoints.

## GetClassName()

template<class TOutputMesh>

virtual const char * itk::TransformixInputPointFileReader< TOutputMesh >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented from itk::MeshFileReaderBase< TOutputMesh >.

## GetNumberOfPoints()

template<class TOutputMesh>

virtual unsigned long itk::TransformixInputPointFileReader< TOutputMesh >::GetNumberOfPoints | ( |  | ) | const

virtual

Get the number of points that are defined in the file. In fact we also should store this somehow in the output dataobject, but that would mean resizing the point container, while still filled with invalid data (since the GetNumberOfPoints method in a PointSet returns the size of the point container. Storing as metadata would be another option. For now leave it like this. This is a little similar to the ImageIO classes. They also contain information about the image that they will read. For the Mesh readers I didn't choose for a MeshIO-design, but for a MeshReaderBase class and inheriting classes, so somehow it seems logic to store this kind of data in the inheriting reader classes.

## GetPointsAreIndices()

template<class TOutputMesh>

virtual bool itk::TransformixInputPointFileReader< TOutputMesh >::GetPointsAreIndices | ( |  | ) | const

virtual

Get whether the read points are indices; actually we should store this as a kind of meta data in the output, but i don't understand this concept yet...

## ITK_DISALLOW_COPY_AND_MOVE()

template<class TOutputMesh>

itk::TransformixInputPointFileReader< TOutputMesh >::ITK_DISALLOW_COPY_AND_MOVE | ( | TransformixInputPointFileReader< TOutputMesh > |  | ) |

## New()

template<class TOutputMesh>

Pointer itk::TransformixInputPointFileReader< TOutputMesh >::New | ( |  | ) |

static

Method for creation through the object factory.

## Field Documentation

## m_NumberOfPoints

template<class TOutputMesh>

unsigned long itk::TransformixInputPointFileReader< TOutputMesh >::m_NumberOfPoints { 0 }

private

Definition at line 101 of file itkTransformixInputPointFileReader.h.

## m_PointsAreIndices

template<class TOutputMesh>

bool itk::TransformixInputPointFileReader< TOutputMesh >::m_PointsAreIndices { false }

private

Definition at line 102 of file itkTransformixInputPointFileReader.h.

## m_Reader

template<class TOutputMesh>

std::ifstream itk::TransformixInputPointFileReader< TOutputMesh >::m_Reader {}

private

Definition at line 104 of file itkTransformixInputPointFileReader.h.

Generated on 1768596610 for elastix by 1.15.0 |